package model

type Device struct {
	DeviceId      int64   `xorm:"not null pk autoincr INT(11)" json:"deviceId"`
	DeviceName    string  `xorm:"varchar(64) not null" json:"deviceName"`
	DeviceBrandId int     `xorm:"INT(11) default 0 not null" json:"deviceBrandId"`
	DeviceImei    string  `xorm:"varchar(64) not null" json:"deviceImei"`         //设备imei
	DeviceSn      string  `xorm:"varchar(64) not null" json:"deviceSn"`           //设备序列号
	DeviceTypeId  int     `xorm:"INT(11) default 0 not null" json:"deviceTypeId"` //设备类型
	ButtMatterId  int64   `xorm:"INT(11) default 0 not null" json:"buttMatterId"` //对接物模型编号
	ButtType      int     `xorm:"INT(11) default 0 not null" json:"buttType"`     //对接类型；1：直连服务;2:平台对接
	ButtAddress   string  `xorm:"varchar(200) not null" json:"buttAddress"`       //对接地址
	ButtPort      int     `xorm:"INT(11) default 0 not null" json:"buttPort"`     //对接端口
	Longitude     float64 `xorm:"decimal(18,6)" json:"longitude"`                 //经度
	Latitude      float64 `xorm:"decimal(18,6)" json:"latitude"`                  //纬度
	DeviceDesc    string  `xorm:"varchar(200)" json:"deviceDesc"`                 //设备描述
	Status        int     `xorm:"not null INT(11) default 0" json:"status"`
	CreateAt      int64   `xorm:"created" json:"createAt"`
	UpdateAt      int64   `xorm:"updated" json:"updateAt"`
	DeleteAt      int64   `xorm:"deleted" json:"deleteAt"`
}
