package model

type Model struct {
	ModelId          int    `xorm:"not null pk autoincr INT(11)" json:"modelId"`
	ModelName        string `xorm:"varchar(200) not null" json:"modelName"`
	BizType          int    `xorm:"int not null default 1" json:"bizType"`
	ModelVersion     string `xorm:"varchar(50) not null" json:"modelVersion"`
	ModelDesc        string `xorm:"varchar(200) not null" json:"modelDesc"`
	ModelFiles       string `xorm:"varchar(200) not null" json:"modelFiles"`
	ModelParamsFiles string `xorm:"varchar(200)" json:"modelParamsFiles"`
	ModelExecScript  string `xorm:"varchar(200)" json:"modelExecScript"`
	DockerFile       string `xorm:"varchar(200)" json:"dockerFile"`
	MappedPort       int    `xorm:"int" json:"mappedPort"`
	ModelCommand     string `xorm:"varchar(200)" json:"modelCommand"`
	InPath           string `xorm:"varchar(200)" json:"inPath"`
	OutPath          string `xorm:"varchar(200)" json:"outPath"`
	HttpUrl          string `xorm:"varchar(200)" json:"httpUrl"`
	IsLightWeight    bool   `xorm:"TINYINT(1) default 0" json:"isLightWeight"`
	Workflow         string `xorm:"TEXT" json:"workflow"`
	Status           int    `xorm:"not null SMALLINT default 0" json:"status"`
	CreateAt         int64  `xorm:"created" json:"createAt"`
	UpdateAt         int64  `xorm:"updated" json:"updateAt"`
}
