package model

// SystemMenu 系统菜单
type SystemMenu struct {
	MenuId         int64  `xorm:"not null pk autoincr INT(11)" json:"menuId"`       //路由ID
	MenuName       string `xorm:"varchar(64) " json:"menuName"`                     //路由名
	MenuPath       string `xorm:"varchar(200) " json:"menuPath"`                    //路由路径
	Component      string `xorm:"varchar(64) " json:"component"`                    //组件名
	Redirect       string `xorm:"varchar(200) not null default ''" json:"redirect"` //重定向地址
	MenuUrl        string `xorm:"varchar(200) not null default ''" json:"menuUrl"`  //路由地址
	MetaTitle      string `xorm:"varchar(128) " json:"metaTitle"`                   //标题
	MetaIcon       string `xorm:"varchar(200) " json:"metaIcon"`                    //图标
	AlwaysShow     int    `xorm:"not null INT default 1" json:"alwaysShow"`         //状态  0禁用 1启用
	MetaAffix      int    `xorm:"not null INT default 0" json:"metaAffix"`          //meta属性  0禁用 1启用
	Type           int    `xorm:"not null INT default 1" json:"type"`               //状态  0禁用 1启用
	Hidden         int    `xorm:"not null INT default 0" json:"hidden"`             //是否隐藏  0不隐藏 1隐藏
	Pid            int64  `xorm:"not null INT(11) default 0" json:"pid"`            //父节点ID
	Sort           int    `xorm:"not null INT default 0" json:"sort"`               //排序
	Level          int    `xorm:"not null INT(4) default 0" json:"level"`           //等级
	Status         int    `xorm:"not null SMALLINT default 1" json:"status"`        //状态  0禁用 1启用
	MetaBreadcrumb int    `xorm:"not null INT default 0" json:"metaBreadcrumb"`     //隐藏面包屑 0:不隐藏 1:隐藏
	CreateAt       int64  `xorm:"created" json:"createAt"`                          //创建时间
	UpdateAt       int64  `xorm:"updated" json:"updateAt"`                          //更新时间
}
