package model

type Task struct {
	TaskId          int64  `xorm:"not null pk autoincr INT(11)" json:"taskId"`
	ModelId         int64  `xorm:"INT(11) index" json:"modelId"`
	NodeId          int64  `xorm:"INT(11) index" json:"nodeId"`
	TaskName        string `xorm:"VARCHAR(200)" json:"taskName"`
	TaskDesc        string `xorm:"VARCHAR(500)" json:"taskDesc"`
	DatasetArr      string `xorm:"TEXT" json:"datasetArr"`
	SubDataset      string `xorm:"varchar(100)" json:"subDataset"`
	SubDataTag      int    `xorm:"tinyint" json:"subDataTag"`
	AppointmentTime string `xorm:"VARCHAR(30)" json:"appointmentTime"`
	StartTime       int64  `xorm:"BIGINT" json:"startTime"`
	FinishTime      int64  `xorm:"BIGINT" json:"finishTime"`
	Status          int    `xorm:"not null SMALLINT default 0" json:"status"` // 1:等待执行; 2:执行中; 3:执行完成; 4:任务分配失败; 5:任务执行失败
	CreateAt        int64  `xorm:"created" json:"createAt"`
	UpdateAt        int64  `xorm:"updated" json:"updateAt"`
}
